//////////////////////////////////////////
// TestControl.h
// Copyright (c) 08/19/2002 by BCCSkelton
//////////////////////////////////////////
//BCCSkeltonのヘッダー−これに必要なヘッダーが入っている
#include	"BCCSkelton.h"
//リソースIDのヘッダー
#include	"ResTestControl.h"

/////////////////////////////////////////////////////////////////////
//CMyWndクラスをCDLGクラスから派生させ、メッセージ用の関数を宣言する
/////////////////////////////////////////////////////////////////////
class CMyWnd : public CDLG
{
public:	//以下はコールバック関数マクロと関連している
	//２重起動防止用のMutex用ID名称
	CMyWnd(char* UName) : CDLG(UName) {}
	//メニュー項目、ダイアログコントロール関連
	bool OnPicture();
	bool OnIdok();
	bool OnGrid();
	bool OnCircle();
	bool OnClear();
	//ウィンドウメッセージ関連
	bool OnInit(WPARAM, LPARAM);
	bool OnTimer(WPARAM, LPARAM);
	bool OnNotify(WPARAM, LPARAM);
	bool OnClose(WPARAM, LPARAM);
	bool OnDestroy(WPARAM, LPARAM);
};

////////////////////////////////////////////////////////////////////////
//派生させたCMyWndクラスのインスタンスとコールバック関数(マクロ）の作成
//主ウィンドウはダイアログと違い、コールバック関数は一つしか作れない
////////////////////////////////////////////////////////////////////////
CMyWnd TestControl("TestControl");	//ウィンドウクラスインスタンスの生成

BEGIN_MODELESSDLGMSG(ModelessProc, TestControl)	//コールバック関数名は主ウィンドウの場合ModelessProcにしている
	//メニュー項目、ダイアログコントロール関連
	ON_COMMAND(TestControl, IDC_PICBOX, OnPicture())
	ON_COMMAND(TestControl, IDOK, OnIdok())
	ON_COMMAND(TestControl, IDC_GRID, OnGrid())
	ON_COMMAND(TestControl, IDC_CIRCLE, OnCircle())
	ON_COMMAND(TestControl, IDC_CLEAR, OnClear())
	//ウィンドウメッセージ関連
	//自動的にダイアログ作成時にOnInit()、終了時にOnClose()を呼びます
	ON_TIMER(TestControl)
	ON_NOTIFY(TestControl)
	ON_DESTROY(TestControl)
END_DLGMSG

///////////////////
//PictureBoxの作成
///////////////////
CPICBOX PicBox;
